<template>
  <div class="product-dialog">
    <div class="dialog-content">
      <div class="product-title">{{ product.title }}</div>
      <div class="product-photos">
        <img :src="product.photos[0]" class="product-photo" />
      </div>
      <div class="product-description">{{ product.description }}</div>
      <div class="product-tags">
        <div class="product-tag" v-for="(tag, index) in product.tags" :key="index">{{ tag }}</div>
      </div>
      <div class="close-box">
        <button @click="closeDialog" class="close-btn">Close</button>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { Vue, Component, Prop } from 'vue-property-decorator';

@Component
export default class ProductDialog extends Vue {
  @Prop({ required: true }) private product!: {
    id: number;
    title: string;
    description: string;
    photos: string[];
    price: number;
    tags: string[];
  };

  private closeDialog() {
    this.$emit('close');
  }
}
</script>

<style scoped>
.product-dialog {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.7);
  display: flex;
  justify-content: center;
  align-items: center;
}

.dialog-content {
  background-color: #fff;
  padding: 20px;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  width: 70%; /* Adjust the width as needed */
  max-width: 300px; /* Set a maximum width */
}

.product-title {
  font-size: 24px;
  font-weight: bold;
  margin-bottom: 10px;
}

.product-photos {
  display: flex;
  justify-content: center;
  margin-bottom: 15px;
}

.product-photo {
  max-width: 100%;
  height: auto;
  margin-right: 10px;
  border-radius: 8px;
}

.product-description {
  font-size: 16px;
  color: #555;
  margin-bottom: 15px;
  max-height: 200px;
  overflow-y: auto;
}

.product-tags {
  display: flex;
  flex-wrap: wrap;
}

.product-tag {
  background-color: #eee;
  border-radius: 4px;
  padding: 4px 8px;
  margin-right: 8px;
  margin-bottom: 8px;
  font-size: 12px;
}

.close-box {
  display: flex;
  justify-content: center;
}

.close-btn {
  background-color: #4caf50;
  color: #fff;
  border: none;
  padding: 8px 16px;
  border-radius: 4px;
  cursor: pointer;
  margin-top: 10px;
  transition: background-color 0.3s ease-in-out;
}

.close-btn:hover {
  background-color: #45a049;
}
</style>